Skip to main content
POST
Finalize Detection Session

Authorizations

Authorization
string
header
required

Backend-issued machine access token for project-scoped API access.

Headers

Idempotency-Key
string | null

Path Parameters

session_id
string<uuid>
required

Response

Successful Response

Persisted customer detection-session resource.

accepted_frames_total
integer
required

Total number of accepted frames for the session.

mode
enum<string>
required

Runtime mode for the session.

Available options:
live,
replay
organization_id
string<uuid>
required

Owning organization identifier.

project_id
string<uuid>
required

Owning project identifier.

resolved_movespec_version_id
string<uuid>
required

Resolved immutable MoveSpec version for customer runtime.

session_id
string<uuid>
required

Detection session identifier.

status
enum<string>
required

Current session lifecycle state.

Available options:
created,
streaming,
finalizing,
completed,
failed,
cancelled
ended_at
string<date-time> | null

Timestamp when the session became terminal.

error_code
string | null

Top-level terminal error code when present.

error_message
string | null

Top-level terminal error message when present.

started_at
string<date-time> | null

Timestamp when streaming began.

terminal_outcome
string | null

Terminal outcome summary when the session ends.